{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-220.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "perl-DB_File-1.859-3.fc40",
        "store-results-to": "/tmp/tmp7n9rtbaa/perl-DB_File-1.859-3.fc40.tar.xz",
        "time-created": "2024-07-03 16:35:48",
        "time-finished": "2024-07-03 16:37:10",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmp7n9rtbaa/perl-DB_File-1.859-3.fc40.tar.xz' '--gcc-analyze' '/tmp/tmp7n9rtbaa/perl-DB_File-1.859-3.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "42c649a508dd6b108de97e2e52edc08ad0fd6cda",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2845,
                    "column": 61,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 457,
                    "column": 34,
                    "event": "note",
                    "message": "expanded from macro 'OutputKey'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/embed.h",
                    "line": 726,
                    "column": 71,
                    "event": "note",
                    "message": "expanded from macro 'sv_setiv'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2768,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'items' is >= 3",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2768,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2768,
                    "column": 22,
                    "event": "note",
                    "message": "Assuming 'items' is <= 4",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2768,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2779,
                    "column": 2,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/XSUB.h",
                    "line": 189,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'dXSTARG'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/embedvar.h",
                    "line": 207,
                    "column": 49,
                    "event": "note",
                    "message": "expanded from macro 'PL_op'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2779,
                    "column": 2,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/XSUB.h",
                    "line": 189,
                    "column": 36,
                    "event": "note",
                    "message": "expanded from macro 'dXSTARG'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2781,
                    "column": 6,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 1117,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'SvROK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 374,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'SvFLAGS'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2781,
                    "column": 6,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 1117,
                    "column": 20,
                    "event": "note",
                    "message": "expanded from macro 'SvROK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2781,
                    "column": 22,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/embed.h",
                    "line": 670,
                    "column": 49,
                    "event": "note",
                    "message": "expanded from macro 'sv_derived_from'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2781,
                    "column": 2,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2797,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'filter_store_key' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/XSUB.h",
                    "line": 430,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'DBM_ckFilter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2797,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/XSUB.h",
                    "line": 430,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'DBM_ckFilter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2797,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/XSUB.h",
                    "line": 429,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'DBM_ckFilter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/ppport.h",
                    "line": 12829,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'STMT_START'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2798,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 205,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'DBT_clear'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2881,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'Zero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2773,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK_'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2761,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2757,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro '_MEM_WRAP_WILL_WRAP'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2736,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro '_MEM_WRAP_NEEDS_RUNTIME_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2798,
                    "column": 9,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 205,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'DBT_clear'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2881,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'Zero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2773,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK_'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2761,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2757,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro '_MEM_WRAP_WILL_WRAP'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2736,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro '_MEM_WRAP_NEEDS_RUNTIME_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2798,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 205,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'DBT_clear'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2881,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'Zero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2773,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK_'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2762,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2798,
                    "column": 9,
                    "event": "note",
                    "message": "Null pointer value stored to 'key.data'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 205,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'DBT_clear'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2881,
                    "column": 69,
                    "event": "note",
                    "message": "expanded from macro 'Zero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 1773,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'memzero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2799,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/ppport.h",
                    "line": 16214,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'SvGETMAGIC'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4254,
                    "column": 45,
                    "event": "note",
                    "message": "expanded from macro 'UNLIKELY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4233,
                    "column": 45,
                    "event": "note",
                    "message": "expanded from macro 'EXPECT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2799,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/ppport.h",
                    "line": 16214,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'SvGETMAGIC'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4254,
                    "column": 45,
                    "event": "note",
                    "message": "expanded from macro 'UNLIKELY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4233,
                    "column": 45,
                    "event": "note",
                    "message": "expanded from macro 'EXPECT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2800,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming field 'type' is not equal to DB_RECNO",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2800,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2808,
                    "column": 18,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 983,
                    "column": 20,
                    "event": "note",
                    "message": "expanded from macro 'SvOK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 374,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'SvFLAGS'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2808,
                    "column": 14,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2818,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'filter_store_value' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/XSUB.h",
                    "line": 430,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'DBM_ckFilter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2818,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/XSUB.h",
                    "line": 430,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'DBM_ckFilter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2818,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/XSUB.h",
                    "line": 429,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'DBM_ckFilter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/ppport.h",
                    "line": 12829,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'STMT_START'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2819,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 205,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'DBT_clear'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2881,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'Zero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2773,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK_'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2761,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2757,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro '_MEM_WRAP_WILL_WRAP'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2736,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro '_MEM_WRAP_NEEDS_RUNTIME_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2819,
                    "column": 9,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 205,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'DBT_clear'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2881,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'Zero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2773,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK_'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2761,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2757,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro '_MEM_WRAP_WILL_WRAP'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2736,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro '_MEM_WRAP_NEEDS_RUNTIME_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2819,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 205,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'DBT_clear'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2881,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'Zero'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2773,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK_'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2762,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2820,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/ppport.h",
                    "line": 16214,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'SvGETMAGIC'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4254,
                    "column": 45,
                    "event": "note",
                    "message": "expanded from macro 'UNLIKELY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4233,
                    "column": 45,
                    "event": "note",
                    "message": "expanded from macro 'EXPECT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2820,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/ppport.h",
                    "line": 16214,
                    "column": 74,
                    "event": "note",
                    "message": "expanded from macro 'SvGETMAGIC'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2821,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 983,
                    "column": 20,
                    "event": "note",
                    "message": "expanded from macro 'SvOK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 374,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'SvFLAGS'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2821,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2829,
                    "column": 6,
                    "event": "note",
                    "message": "Assuming 'items' is >= 4",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2829,
                    "column": 2,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1964,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming 'RETVAL' is <= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1964,
                    "column": 7,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1966,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1966,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2845,
                    "column": 6,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 317,
                    "column": 38,
                    "event": "note",
                    "message": "expanded from macro 'flagSet'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2845,
                    "column": 31,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2845,
                    "column": 61,
                    "event": "note",
                    "message": "Assuming 'RETVAL' is equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 450,
                    "column": 11,
                    "event": "note",
                    "message": "expanded from macro 'OutputKey'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2845,
                    "column": 61,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 450,
                    "column": 7,
                    "event": "note",
                    "message": "expanded from macro 'OutputKey'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2845,
                    "column": 61,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 452,
                    "column": 11,
                    "event": "note",
                    "message": "expanded from macro 'OutputKey'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/ppport.h",
                    "line": 16214,
                    "column": 50,
                    "event": "note",
                    "message": "expanded from macro 'SvGETMAGIC'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4254,
                    "column": 45,
                    "event": "note",
                    "message": "expanded from macro 'UNLIKELY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 4233,
                    "column": 45,
                    "event": "note",
                    "message": "expanded from macro 'EXPECT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2845,
                    "column": 61,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 452,
                    "column": 11,
                    "event": "note",
                    "message": "expanded from macro 'OutputKey'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/ppport.h",
                    "line": 16214,
                    "column": 74,
                    "event": "note",
                    "message": "expanded from macro 'SvGETMAGIC'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2845,
                    "column": 61,
                    "event": "note",
                    "message": "Assuming field 'type' is equal to DB_RECNO",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 453,
                    "column": 15,
                    "event": "note",
                    "message": "expanded from macro 'OutputKey'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2845,
                    "column": 61,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 453,
                    "column": 11,
                    "event": "note",
                    "message": "expanded from macro 'OutputKey'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 2845,
                    "column": 61,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 457,
                    "column": 34,
                    "event": "note",
                    "message": "expanded from macro 'OutputKey'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/embed.h",
                    "line": 726,
                    "column": 71,
                    "event": "note",
                    "message": "expanded from macro 'sv_setiv'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2843|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2844|   #line 2845 \"DB_File.c\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2845|-> \tif (flagSet(flags, R_IAFTER) || flagSet(flags, R_IBEFORE)) OutputKey(ST(1), key);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2846|   \tSvSETMAGIC(ST(1));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2847|   \tXSprePUSH;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ce084de9b00625480bc0848df6e64e22781f97d3",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 3175,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'file' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.c",
                    "line": 3175,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'file' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3173|       char* file = __FILE__;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3174|   #else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3175|->     const char* file = __FILE__;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3176|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 3177|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "3f3e050cc5f647869e3239b42ffbcc5b175b63f3",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1427,
                    "column": 21,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'flags' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1427,
                    "column": 21,
                    "event": "note",
                    "message": "Value stored to 'flags' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1425|                   if (flags & DB_FIXEDLEN) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1426|                       fixed = TRUE ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1427|->                     flags &= ~DB_FIXEDLEN ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1428|                   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1429|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "8c1b278f04aae8d8b47547ee70b793a1f4db6b7d",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1433,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1433,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1431|               svp = hv_fetch(action, \"cachesize\", 9, FALSE);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1432|               if (svp) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1433|->                 status = dbp->set_cachesize(dbp, 0, my_SvUV32(*svp), 0) ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1434|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1435|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ac192839d56304f880d1ac815be20cacfb99d8cd",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1438,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1438,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1436|               svp = hv_fetch(action, \"psize\", 5, FALSE);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1437|               if (svp) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1438|->                 status = dbp->set_pagesize(dbp, my_SvUV32(*svp)) ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1439|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1440|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "8d7c0138dc1737fe0cae0640b575114dd96e64c5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1443,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1443,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'status' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1441|               svp = hv_fetch(action, \"lorder\", 6, FALSE);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1442|               if (svp) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1443|->                 status = dbp->set_lorder(dbp, (int)SvIV(*svp)) ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1444|               }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1445|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6c302b8a9ae6ea7718bc58ec69e00ba2dd5eb01f",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1564,
                    "column": 10,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'sv_err' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1564,
                    "column": 10,
                    "event": "note",
                    "message": "Value stored to 'sv_err' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1562|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1563|   #ifdef WANT_ERROR",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1564|->     SV * sv_err = perl_get_sv(ERR_BUFF, GV_ADD|GV_ADDMULTI) ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1565|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1566|       MY_CXT_INIT;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "540c5211191aa5fe0ea023c851a320e93c878f8a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1635,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'RETVAL' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1635,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'RETVAL' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1633|   #ifdef DB_VERSION_MAJOR",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1634|         if (RETVAL > 0)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1635|->         RETVAL = -1 ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1636|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1637|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "9c815a04d2aa07b864012374bed5395b913c93bd",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1761,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'RETVAL' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/DB_File.xs",
                    "line": 1761,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'RETVAL' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1759|   #ifdef DB_VERSION_MAJOR",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1760|           /* get the first value */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1761|->         RETVAL = do_SEQ(db, key, value, DB_FIRST) ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1762|           RETVAL = 0 ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1763|   #else",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-DB_File-1.859-build/DB_File-1.859/version.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        }
    ]
}
